WESNOTH(6)

??
?????????????????????

??
wesnoth [OPTIONS] [PATH_TO_DATA]

??
????(Wesnoth)?????????????????? ??????????????????????????? ?????????????????????????????????? ?????????? ????????????????????????? ???????????????????????AI?????????????????????????????????????????????????????????

??

--bpp number
    ???????????????--bpp 32

--compress infile outfile
    ??????WML??(infile)?????????WML??(outfile)?

-d, --debug
    ???????????????????????????(Command Mode)????wiki: http://www.wesnoth.org/wiki/CommandMode ?

--decompress infile outfile
    ???????WML??(infile)????????WML??(outfile)?

-f, --fullscreen
    ????????

--fps
    ??????????????

--gunzip infile.gz
    ???gzip???????????? .gz ?????????infile.gz?????

--gzip infile
    ?gzip???????????infile.gz????infile?

-h, --help
    ??????????????

--load savegame
    ???????????

--log-level=domain1,domain2,...
    ??debug????all??????bebug??????????error? warning? info?debug???????error?

--logdomains
    ????????????

--max-fps
    ????????????????1?1000??????50?

--multiplayer
    ?????????????????????????--multiplayer?????

--nocache
    ?????????????

--nosound
    ???????????????

--path
    ?????????????

-r XxY, --resolution XxY
    ??????????? -r 800x600

-t, --test
    ?????????

-v, --version
    ????????

-w, --windowed
    ???????????

--no-delay
    ??????????????????? --nogui ????????????

--nogui
    ????????????????(GUI)???????--multiplayer????????

--exit-at-end
    ????????????????/??????????????????????

--multiplayer?????
???????????????????number? number ?????????????????1 ??2???????????????????????????

--algorithmnumber=value
    ?????????????AI????????idle_ai ? sample_ai.

--controllernumber=value
    ????????????????human?ai?

--era=value
    ???????????????Default????????ID??????data/multiplayer/eras.cfg??????

--parmnumber=name:value
    ?????????????????--controller?--algorithm??????????????AI???????(??????????)

--scenario=value
    ??ID??????????????multiplayer_The_Freelands?

--sidenumber=value
    ?????????????????????ID????????data/multiplayer.cfg??????

--turns=value
    ?????????????????50?

?????????AI???AI??????????????(GUI)?
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.pywesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

??
?David White <davidnwhite@verizon.net>???
?Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> and Soliton <soliton.de@gmail.com>???
???????? Cyril Bouthors ??<cyril@bouthors.org>?
????: http://www.wesnoth.org/????????:http://wesnoth-tw.blogspot.com/

??
?? © 2003-2007 David White <davidnwhite@verizon.net>
????????????FSF???GPL v2??????????This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

??
wesnoth_editor(6), wesnothd(6)